/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.web.ui.tag.breadcrumbtrail;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;


/**
 * Unit tests for BreadCrumbNode implementation.
 *
 * @author TCSDEVELOPER
 * @version 2.0
 */
public class BreadCrumbNodeTest extends TestCase {
    /**
     * The title of the BreadCrumbNode.
     */
    private static final String TITLE = "title";

    /**
     * The url of the BreadCrumbNode.
     */
    private static final String URL = "url";

    /**
     * The BreadCrumbNode instance to test against.
     */
    private BreadCrumbNode node = null;

    /**
     * Creates a test suite for the tests in this test case.
     *
     * @return a TestSuite for this test case
     */
    public static Test suite() {
        TestSuite suite = new TestSuite(BreadCrumbNodeTest.class);

        return suite;
    }

    /**
     * Prepares a BreadCrumbNode instance for testing.
     */
    protected void setUp() {
        node = new BreadCrumbNode(URL, TITLE);
    }

    /**
     * Test of constructor with null url. Expects IllegalArgumentException.
     */
    public void testConstructor_NullUrl() {
        try {
            new BreadCrumbNode(null, TITLE);
            fail("Creates BreadCrumbNode with null url");
        } catch (IllegalArgumentException e) {
            // good
        }
    }

    /**
     * Test of constructor with empty url. Expects IllegalArgumentException.
     */
    public void testConstructor_EmptyUrl() {
        try {
            new BreadCrumbNode("", TITLE);
            fail("Creates BreadCrumbNode with empty url");
        } catch (IllegalArgumentException e) {
            // good
        }
    }

    /**
     * Test of getTitle method. Verifies if it returns the title set in constructor.
     */
    public void testGetTitle() {
        assertEquals("Returns an incorrect title", TITLE, node.getTitle());
    }

    /**
     * Test of getUrl method. Verifies if it returns the url set in constructor.
     */
    public void testGetUrl() {
        assertEquals("Returns an incorrect url", URL, node.getUrl());
    }
}
