/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.web.ui.tag.breadcrumbtrail;

import junit.framework.Test;
import junit.framework.TestSuite;

import org.apache.cactus.JspTestCase;
import org.apache.cactus.WebResponse;


/**
 * A demonstration of the Bread Crumb Trail Tag component.
 *
 * @author TCSDEVELOPER
 * @version 2.0
 */
public class DemoTest extends JspTestCase {
    /**
     * Creates a test suite for the tests in this test case.
     *
     * @return a TestSuite for this test case
     */
    public static Test suite() {
        TestSuite suite = new TestSuite(DemoTest.class);

        return suite;
    }

    /**
     * Test of demo.jsp. The configuration namespace is loaded from the jsp itself.
     *
     * @throws Exception if any unexpected exception occurs.
     */
    public void testDemo() throws Exception {
        pageContext.forward("demo.jsp");
    }

    /**
     * Checks the output of demo.jsp. Should include the html anchors for the trail a->b->title.
     *
     * @param theResponse the response object to check output.
     */
    public void endDemo(WebResponse theResponse) {
        String text = theResponse.getText();

        assertTrue("Prints an incorrect output", text.indexOf("<a href=\"a\">a</a>") >= 0);
        assertTrue("Prints an incorrect output", text.indexOf("<a href=\"b\">b</a>") >= 0);
        assertTrue("Prints an incorrect output", text.indexOf("<a href=\"d\">title</a>") >= 0);
    }
}
